/*
    This file is part of SUPPL - the supplemental library for DOS
    Copyright (C) 1996-2000 Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
/* $RCSfile: CFGI_UIF.C $
   $Locker: ska $	$Name:  $	$State: Exp $

	char *cfgi_userINIfile(void);

ob(ject): cfgi_userINIfile
su(bsystem): inifile
ty(pe): H
sy(nopsis): 
sh(ort description): Return the name of the user INI file
he(ader files): 
lo(ng description): Returns the  name of the user INI file dynamically
	allocates in the heap. The user must free the string manually.\par
	Note: Unlike the system INI file there is only one possible path
	to user INI files.
pr(erequistes): 
va(lue): pointer to the path
re(lated to): 
se(condary subsystems): 
xr(ef): 
im(port): 
fi(le): cfgi_uif.c
in(itialized by): 
wa(rning): 
bu(gs): 

*/

#include "initsupl.loc"

#ifndef _MICROC_
#include <stdlib.h>
#endif
#include "inifile.loc"
#include "dynstr.h"

#include "suppldbg.h"

#ifdef RCS_Version
static char const rcsid[] = 
	"$Id: CFGI_UIF.C 1.4 1999/12/13 02:22:14 ska Exp ska $";
#endif

char *cfgi_userINIfile(void)
{	DBG_ENTER("cfgi_userINIfile", Suppl_inifile)

	chkHeap
	DBG_RETURN_BS( StrConcat(5, cfgi_userINIpath(), CFG_USERINI, "\\"
	 , cfgi_appName(), CFG_INIEXT))

}
